Bug 1591307 - No touchpad: ALPS0001:00 0911:5288 Touchpad: kernel bug: clickpad advertising right button
Summary: No touchpad: ALPS0001:00 0911:5288 Touchpad: kernel bug: clickpad advertising...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-14 13:58 UTC by Viktar
Modified: 2019-02-21 21:11 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:11:15 UTC
Type: Bug


Attachments (Terms of Use)
journalctl -b 0 (253.96 KB, text/x-vhdl)
2018-06-14 13:58 UTC, Viktar
no flags Details
dmidecode log (15.74 KB, text/plain)
2018-06-14 13:58 UTC, Viktar
no flags Details
lshw log (21.29 KB, text/plain)
2018-06-14 13:59 UTC, Viktar
no flags Details
lspci log (3.36 KB, text/plain)
2018-06-14 13:59 UTC, Viktar
no flags Details
lsusb log (259 bytes, text/plain)
2018-06-14 14:00 UTC, Viktar
no flags Details
acpidump (422.83 KB, text/plain)
2018-06-14 14:01 UTC, Viktar
no flags Details

Description Viktar 2018-06-14 13:58:16 UTC
Created attachment 1451377 [details]
journalctl -b 0

Dear all,

I am trying to use Fedora 28 on Chuwi Lapbook Air, but touchpad does not work.
Similar problem was in bug "1526312", but it seems like I have ALPS touchpad and modified "i2c-hid.c" file does not work for me after recompiling the kernel.

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 28 on Lapbook Air
2. Boot

Actual results:
Touchpad does not work

Expected results:
Working touchpad

Comment 1 Viktar 2018-06-14 13:58:59 UTC
Created attachment 1451378 [details]
dmidecode log

Comment 2 Viktar 2018-06-14 13:59:25 UTC
Created attachment 1451380 [details]
lshw log

Comment 3 Viktar 2018-06-14 13:59:55 UTC
Created attachment 1451381 [details]
lspci log

Comment 4 Viktar 2018-06-14 14:00:30 UTC
Created attachment 1451382 [details]
lsusb log

Comment 5 Viktar 2018-06-14 14:01:03 UTC
Created attachment 1451385 [details]
acpidump

Comment 6 Hans de Goede 2018-06-17 09:56:11 UTC
(In reply to Viktar from comment #0)
> I am trying to use Fedora 28 on Chuwi Lapbook Air, but touchpad does not
> work.
> Similar problem was in bug "1526312", but it seems like I have ALPS touchpad
> and modified "i2c-hid.c" file does not work for me after recompiling the
> kernel.

I don't think you have the same issue, the problem in bug 1526312 is a touchpad with missing descriptors.

I think what you are seeing is the same i2c-hid touchpad power-management issue as other people or seeing on various ezbook models. This is currently being discussed here:

https://bugzilla.kernel.org/show_bug.cgi?id=199821

The touchpad should work after a suspend/resume. You may need to do:

sudo rmmod i2c-hid
sudo modprobe i2c-hid

After suspend-resume.

Comment 7 Justin M. Forbes 2018-07-23 14:59:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2018-08-29 15:07:35 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 9 Hans de Goede 2018-09-26 20:00:22 UTC
I believe that this is fixed by: https://git.kernel.org/pub/scm/linux/kernel/git/jikos/hid.git/commit?id=807588ac92018bde88a1958f546438e840eb0158

Which is queued for merging into 4.19:
https://git.kernel.org/pub/scm/linux/kernel/git/jikos/hid.git/log/?h=for-4.19/fixes

The patch has a Cc stable, so this will hopefully show up in stable kernels soonish.

Since this affects quite a few laptop models it might be a good idea to add this as a downstream patch to the Fedora kernels for now.

Comment 10 Justin M. Forbes 2019-01-29 16:24:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 11 Justin M. Forbes 2019-02-21 21:11:15 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.